ata_host_alloc_pinfo
Prev | Chapter 4. libata Library | Next

## Name

ata_host_alloc_pinfo — alloc host and init with port_info array

## Synopsis

`struct ata_host * ata_host_alloc_pinfo (` | struct device * | dev,
| const struct ata_port_info *const * | ppi,
| int | n_ports`)`;

## Arguments

`dev`

  generic device this host is associated with

`ppi`

  array of ATA port_info to initialize host with

`n_ports`

  number of ATA ports attached to this host

## Description

Allocate ATA host and initialize with info from `ppi`. If NULL terminated, `ppi` may contain fewer entries than `n_ports`. The last entry will be used for the remaining ports.

## RETURNS

Allocate ATA host on success, NULL on failure.

## LOCKING

Inherited from calling layer (may sleep).

Prev | Up | Next
ata_host_alloc | Home | ata_host_start